#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QMenu>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
	ui->setupUi(this);
	connect(ui->pushButton, SIGNAL(arrowPressed(QPoint)), this, SLOT(onPushButtonArrowPressed(QPoint)));
	connect(ui->toolButton, SIGNAL(arrowPressed(QPoint)), this, SLOT(onToolButtonArrowPressed(QPoint)));
}

MainWindow::~MainWindow()
{
	delete ui;
}

void MainWindow::onPushButtonArrowPressed(QPoint pos)
{
	QMenu menu;
	QAction a("PushButton menu", 0);
	menu.addAction(&a);
	menu.exec(pos);
}

void MainWindow::onToolButtonArrowPressed(QPoint pos)
{
	QMenu menu;
	QAction a("ToolButton menu", 0);
	menu.addAction(&a);
	menu.exec(pos);
}


void MainWindow::on_pushButton_clicked()
{
	QMessageBox::information(this, qApp->applicationName(), "PushButton clicked");
}

void MainWindow::on_toolButton_clicked()
{
	QMessageBox::information(this, qApp->applicationName(), "ToolButton clicked");
}
